#
# spec file for package noise-suppression-for-voice
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           noise-suppression-for-voice
Version:        0.91+git8.6922453
Release:        1.3
Summary:        Noise suppression plugin based on Xiph's RNNoise
License:        GPL-3.0-only
URL:            https://github.com/werman/noise-suppression-for-voice
Source:         %{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  ladspa
BuildRequires:  ladspa-devel
BuildRequires:  lv2
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(lv2)

%description
The plugin is meant to suppress a wide range of noise origins
(from original paper): computer fans, office, crowd, airplane,
car, train, construction.

From my tests mild background noise is always suppressed,
loud sounds, like clicking of mechanical keyboard, are
suppressed while there is no voice however they are only
reduced in volume when voice is present.

The plugin is made to work with 1 channel and/or 2 channels
(ladspa plugin), 16 bit, 48000 Hz audio input.
Other sample rates may work, or not...

%package     -n lv2-rnnoise
Summary:        Noise suppression plugin based on Xiph's RNNoise - lv2 plugin

%description -n lv2-rnnoise
The plugin is meant to suppress a wide range of noise origins
(from original paper): computer fans, office, crowd, airplane,
car, train, construction.

From my tests mild background noise is always suppressed,
loud sounds, like clicking of mechanical keyboard, are
suppressed while there is no voice however they are only
reduced in volume when voice is present.

The plugin is made to work with 1 channel and/or 2 channels
(ladspa plugin), 16 bit, 48000 Hz audio input.
Other sample rates may work, or not...

This package holds the lv2 plugin.

%package     -n ladspa-rnnoise
Summary:        Noise suppression plugin based on Xiph's RNNoise - ladspa plugin

%description -n ladspa-rnnoise
The plugin is meant to suppress a wide range of noise origins
(from original paper): computer fans, office, crowd, airplane,
car, train, construction.

From my tests mild background noise is always suppressed,
loud sounds, like clicking of mechanical keyboard, are
suppressed while there is no voice however they are only
reduced in volume when voice is present.

The plugin is made to work with 1 channel and/or 2 channels
(ladspa plugin), 16 bit, 48000 Hz audio input.
Other sample rates may work, or not...

This package holds the ladspa plugin.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n ladspa-rnnoise
%license LICENSE
%doc README.md
%{_libdir}/ladspa/librnnoise_ladspa.so

%files -n lv2-rnnoise
%license LICENSE
%doc README.md
%{_libdir}/lv2/rnnoise.lv2/

%changelog
* Fri Jan 28 2022 dmueller@suse.com
- Update to version 0.91+git8.6922453:
  * Added hint for latency or crackling problems.
  * Make instruction to copy VST sdk files more explicit
  * Add link to archive.org for VST2 sdk
  * Add a how-to for PipeWire
  * common: do not dereference first element of zero-sized output buffer
  * typo in readme
  * Remove lib prefix from lv2 plugin binary.
  * Also copy .ttl files for lv2 plugin and fix path
  * Update documentation with adjustment to prevent loopback switching source/sink
  * Add a link to the guide for EqualizerAPO
* Mon Jun 29 2020 Marcus Rueckert <mrueckert@suse.de>
- initial package
